Get Recurring Order Templates

Get all active recurring orders bycustomer_external_id.

Send this request to receive a list of active recurring orders for a customer. Active recurring orders are those with start dates in the past and end dates in the future. Recurring orders with no start and end date are also active, as they are effective indefinitely.

To filter the list of recurring orders by team, include the team_external_id in your request.


Response (Output) Params

Response

ParameterDescription
customer_external_id
string
Your external system's ID for the customer.
recurrent_task_templates
array of objects
An array of recurring orders.

Recurring Order Object

ParameterDescription
effective_end_date
epochal datetime
The start of the time range within which the recurrence is active. For example, the start date may be April 1 with the first occurrence on April 2.
effective_start_date
epochal datetime
The end of the time range within which the recurrence is active. For example, the end date may be April 30 with the last occurrence on April 28.
id
integer
Bringg's ID for the recurring order template.
schedule_type
integer
The amount of time between orders for a recurring order template.
Possible values:
1 - Every week
2 - Every two weeks
team_external_id
string
Your external system's ID for the assigned team.

Response Status Parameters


Body Params
string
required

Your external system's ID for the customer.

string

Your external system's ID for the selected team.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json